This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 366351 - Update request: ghc 6.8.1
Update request: ghc 6.8.1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 22:26 EST by Michel Alexandre Salim
Modified: 2008-01-10 14:03 EST (History)
1 user (show)

See Also:
Fixed In Version: 6.8.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 14:03:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against ghc snapshot from Fedora CVS repo (1.43 KB, patch)
2007-11-04 22:26 EST, Michel Alexandre Salim
no flags Details | Diff

  None (edit)
Description Michel Alexandre Salim 2007-11-04 22:26:56 EST
Description of problem:
ghc 6.8.1 has been released, and some Haskell packages like xmonad have
dependencies that are not present in ghc 6.6.1

Version-Release number of selected component (if applicable):
ghc-6.6.1-3.fc8

Additional info:
I patched the spec file to fix the license field (BSD-style is just "BSD"
according to licensing guideline), and to make ghc-doc depends on the exact
version of ghc
Comment 1 Michel Alexandre Salim 2007-11-04 22:26:56 EST
Created attachment 247751 [details]
Patch against ghc snapshot from Fedora CVS repo
Comment 2 Bryan O'Sullivan 2007-11-05 09:47:17 EST
Thanks for the patch.  Fresh build in koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=23345

Note You need to log in before you can comment on or make changes to this bug.